Public Member Functions | Public Attributes | List of all members
libebook::XMLTreeNode::AttributeData Struct Reference

`#include <XMLTreeNode.h>`

## Public Member Functions
| AttributeData ()
| AttributeData (const LWCStringPtr_t &name, const LWCStringPtr_t &ns, const LWCStringPtr_t &val)
| AttributeData (const LWCStringPtr_t &name, const LWCStringPtr_t &val)

## Public Attributes
QName | qname
LWCStringPtr_t | value
int | id
bool | idSet

## Constructor & Destructor Documentation

## ◆ AttributeData() [1/3]

libebook::XMLTreeNode::AttributeData::AttributeData | ( |  | ) |

## ◆ AttributeData() [2/3]

libebook::XMLTreeNode::AttributeData::AttributeData | ( | const LWCStringPtr_t & | name,
|  | const LWCStringPtr_t & | ns,
|  | const LWCStringPtr_t & | val
| ) |  |

## ◆ AttributeData() [3/3]

libebook::XMLTreeNode::AttributeData::AttributeData | ( | const LWCStringPtr_t & | name,
|  | const LWCStringPtr_t & | val
| ) |  |

## Member Data Documentation

## ◆ id

int libebook::XMLTreeNode::AttributeData::id
| mutable

Referenced by libebook::XMLTreeWalker::Attribute::getId().

## ◆ idSet

bool libebook::XMLTreeNode::AttributeData::idSet
| mutable

Referenced by libebook::XMLTreeWalker::Attribute::getId().

## ◆ qname

QName libebook::XMLTreeNode::AttributeData::qname

Referenced by libebook::XMLTreeWalker::Attribute::getId().

## ◆ value

LWCStringPtr_t libebook::XMLTreeNode::AttributeData::value

Referenced by libebook::XMLTreeWalker::Attribute::getValueId().

The documentation for this struct was generated from the following files:

- XMLTreeNode.h
- XMLTreeNode.cpp